﻿@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section Scripts{
    <script src="~/controller/product/product.js"></script>
    <script>
        var product = new productController();
        product.initialize();
    </script>

    <script type="text/javascript" language="javascript">

        function ParseText(objsent) {
            //ParseUrl(objsent, document.getElementByid('txtSeoUrl'));
            $('#txtSeoTitle').val(objsent.value);
            $('#txtSeoKeyword').val(objsent.value);
        }
        function ParseDesc(objsent) {
            $('#txtSeoDescription').val(objsent.value);
        }
    </script>
}
    <style type="text/css">
        input[type="radio"] {
            margin: 4px 4px 4px 4px;
        }

        .btn-file {
            position: relative;
            overflow: hidden;
        }

            .btn-file input[type=file] {
                position: absolute;
                top: 0;
                right: 0;
                min-width: 100%;
                min-height: 100%;
                font-size: 100px;
                text-align: right;
                filter: alpha(opacity=0);
                opacity: 0;
                outline: none;
                background: white;
                cursor: inherit;
                display: block;
            }

    </style>
    <div class="row page-header">
        <div class="col-sm-5">
            <a id="lbtSave" onclick="saveEntiry(0)" class="btn btn-success btn-sm">
                <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>&nbsp;Lưu
            </a>
            <a id="lbtSaveNew" onclick="saveEntiry(1)" class="btn btn-default btn-sm">
                <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>&nbsp;Lưu &
                Thêm mới
            </a>
            <a id="LbsaveClose" onclick="saveEntiry(2)" class="btn btn-default btn-sm">
                <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>&nbsp;Lưu & Đóng
            </a>
            <a href="/admin/product/products" class="btn btn-default btn-sm">
                <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>&nbsp;Đóng
            </a>
        </div>
        @*<div class="col-sm-7 navbar-right">
    <div style="text-align: right">
    <a id="tbnClose" class="btn btn-default btn-sm">
    <span class="glyphicon glyphicon-list" aria-hidden="true"></span>&nbsp;Chuyên mục
    </a>
    <a id="tbnClose" class="btn btn-default btn-sm">
    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>&nbsp;Soạn tin
    </a>
    <a id="tbnClose" class="btn btn-default btn-sm">
    <span class="glyphicon glyphicon-paperclip" aria-hidden="true"></span>&nbsp;File đính kèm
    </a>
    <a id="tbnClose" class="btn btn-default btn-sm">
    <span class="glyphicon glyphicon-picture" aria-hidden="true"></span>&nbsp;Album hình
    </a>
    </div>
    </div>*@
    </div>
    <div class="row">
        <div class="col-md-8 form-horizontal">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        Thông tin chi tiết
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group" id="trCat">
                        <label class="col-sm-2 control-label">
                            Chuyên mục
                        </label>
                        <div class="col-sm-10">
                            <select id="ddlCategory" class="form-control">
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Tên
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtName" id="txtName" class="form-control"
                               onkeyup="ParseText(this);" onblur="ParseText(this);" />
                            <input type="hidden" name="hidId" id="hidId" class="form-control" />
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Mô tả ngắn
                        </label>
                        <div class="col-sm-10">
                            <textarea id="txtDesc" class="form-control" onkeyup="ParseDesc(this);"
                                  onblur="ParseDesc(this);"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            Liên kết
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="txtUrl" id="txtUrl" class="form-control" />
                        </div>
                    </div>
                </div>
            </div>

            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title" id="H2">
                        Thông tin hình ảnh
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label for="txtImage" class="control-label no-padding-right">Ảnh đại diện</label>
                        <div>
                            <div class="input-group">
                                <input type="text" name="txtImage" class="form-control" id="txtImage" disabled="disabled" />
                                <input type="file" id="fileInputImage" style="display:none" />
                                <span class="input-group-btn">
                                    <input type="button" id="btnSelectImg" class="btn btn-default" value="Browser" />
                                </span>
                            </div><!-- /input-group -->
                        </div>
                    </div>
                </div>
            </div>

            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title" id="H3">
                        Soạn tin
                    </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label for="txtContent" class="control-label no-padding-right">Nội dung </label>
                        <div>
                            <textarea id="txtContent" rows="6" class="form-control"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4" id="accordion" role="tablist" aria-multiselectable="true">
            <div class="panel panel-primary">
                <div class="panel-heading" role="tab" id="headingOne">
                    <h3 class="panel-title" id="panel-title">
                        <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true"
                       aria-controls="collapseOne">
                            Thông tin hiển thị <span class="glyphicon glyphicon-download navbar-right"
                                                 aria-hidden="true" style="margin: 0"></span>
                        </a>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                        <div class="form-group">
                            <label>
                                Hiển thị
                            </label>
                            <div>
                                <label class="form-check-label" for="ckStatus1">Có</label>
                                <input class="form-check-input" type="radio" name="radStatus" id="ckStatus1" value="1" checked="checked">
                                <label class="form-check-label" for="ckStatus0">Không</label>
                                <input class="form-check-input" type="radio" name="radStatus" id="ckStatus0" value="0">
                            </div>
                        </div>
                        <div class="form-group">
                            <label>
                                Hiển thị trang chủ
                            </label>
                            <div>
                                <label class="form-check-label" for="radShowHome1">Có</label>
                                <input class="form-check-input" type="radio" name="radShowHome" id="radShowHome1" value="1" checked="checked">
                                <label class="form-check-label" for="radShowHome0">Không</label>
                                <input class="form-check-input" type="radio" name="radShowHome" id="radShowHome0" value="0">
                            </div>

                        </div>

                        <div class="form-group">
                            <label class="control-label">
                                Thứ tự
                            </label>
                            <div>
                                <input type="text" name="txtOrder" id="txtOrder" maxlength="4" value="1" class="form-control" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-primary">
                <div class="panel-heading" role="tab" id="headingTwo">
                    <h4 class="panel-title">
                        <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo"
                       aria-expanded="false" aria-controls="collapseTwo">
                            SEO PARAMETER <span class="glyphicon glyphicon-download navbar-right"
                                            aria-hidden="true" style="margin: 0"></span>
                        </a>
                    </h4>
                </div>
                <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
                    <div class="panel-body">
                        <div class="form-group">
                            <label>
                                Seo title
                            </label>
                            <input type="text" name="txtSeoTitle" id="txtSeoTitle" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label>
                                Seo url
                            </label>
                            <input type="text" name="txtSeoUrl" id="txtSeoUrl" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label>
                                Seo Keyword
                            </label>
                            <textarea id="txtSeoKeyword" class="form-control"></textarea>
                        </div>
                        <div class="form-group">
                            <label>
                                Seo Description
                            </label>
                            <textarea id="txtSeoDescription" class="form-control"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


